Package com.jangular.backend.service

# Class AuthenticationService

java.lang.Object
com.jangular.backend.service.AuthenticationService

@Service public class AuthenticationService extends Object

## Constructor Summary

Constructors
Constructor
Description
`AuthenticationService()`

## Method Summary

Modifier and Type
Method
Description
`AuthResponse`
`authenticate(AuthRequest request, String ipAddress, String userAgent)`
Authenticate user and generate JWT tokens
`void`
`changePassword(Long userId, String oldPassword, String newPassword)`
Change user password
`void`
`logout(String token)`
Logout user (in a complete implementation, you might want to blacklist the token)
`AuthResponse`
`refreshToken(String refreshToken)`
Refresh access token using refresh token

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AuthenticationService

public AuthenticationService()

## Method Details

### authenticate

@Transactional public AuthResponse authenticate(AuthRequest request, String ipAddress, String userAgent)
Authenticate user and generate JWT tokens

### refreshToken

public AuthResponse refreshToken(String refreshToken)
Refresh access token using refresh token

### logout

@Transactional public void logout(String token)
Logout user (in a complete implementation, you might want to blacklist the token)

### changePassword

@Transactional public void changePassword(Long userId, String oldPassword, String newPassword)
Change user password